from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XDatabaseMetaData2(XDatabaseMetaData, Protocol):
    def getConnectionInfo(self) -> list[PropertyValue]: ...
